+ Post New Thread
Page 101 of 494 FirstFirst ... 51 91 99 100 101 102 103 111 151 201 ... LastLast
Threads 2501 to 2525 of 12331

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 29,292
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 45,354
    18th Sep 2006 10:46 pm Go to last post
  1. How can I filter this table ??

    بسم الله الرحمن الرحيم الحمد لله رب العالمين ، و الصلاة و السلام على أشرف المرسلين ، أشهد أن لا إله إلا الله ، و أن محمداً رسول الله ، و أن عيسى المسيح عبد الله و رسوله و كلمته ألقاها إلى مريم ،، و...

    Started by سبع الليل‎, 16th Mar 2013 07:16 pm
    • Replies: 0
    • Views: 319
    16th Mar 2013 07:16 pm Go to last post
  2. How can i use the (array ) command in Autolisp ???

    بسم الله الرحمن الرحيم الحمد لله رب العالمين ، و الصلاة و السلام على أشرف المرسلين ، أشهد أن لا إله إلا الله ، و أن محمداً رسول الله ، و أن عيسى المسيح عبد الله و رسوله و كلمته ألقاها إلى مريم ،، و...

    Started by سبع الليل‎, 14th Mar 2013 05:29 am
    • Replies: 7
    • Views: 926
    16th Mar 2013 06:35 pm Go to last post
  3. vla-addregion problem

    Hello Cad Tutor Good Moring I Need Clarification about VLA-ADDREGION FUntion (vla-addregion object) please tel me which object i must select (defun c:test() (setq obj...

    Started by gS7‎, 15th Mar 2013 06:25 am
    • Replies: 7
    • Views: 832
    16th Mar 2013 11:42 am Go to last post
  4. Unhappy lisp for extracting areas from closed area

    I am working on urban planning i have a big project with huge numbers of plots and i need a lisp for numbering a closed plots which t draw it by lines and extract the area with the same number to a...

    Started by emadageeb‎, 6th May 2011 09:35 am
    6 Pages
    1 2 3 ... 6
    • Replies: 50
    • Views: 9,967
    16th Mar 2013 11:37 am Go to last post
  5. Formula field IF statement

    I'm trying to make a watermark visible when the "Approved" attribute in the titleblock is blank and invisible when the attribute has a value. I want the logic to be: =(If (isblank (attrib)),"In...

    Started by Amail‎, 15th Mar 2013 03:58 pm
    • Replies: 3
    • Views: 830
    16th Mar 2013 12:56 am Go to last post
  6. A naive doubt about circles

    I've made a circle and I would like to know how to get these 4 points. I'm almost sure that it's going to use angle stuff, for 90º, 180º, 270º and 360º. But I have no idea how to make this code...

    Started by fabriciorby‎, 13th Mar 2013 04:41 pm
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 1,402
    15th Mar 2013 03:20 pm Go to last post
  7. Layer check error

    I want to add in my lisp to check for a layer in the drawing before the lisp runs. If there cont. if not there maybe pop a box or in the command line say the layer is missing then end the lisp. I...

    Started by j_spawn_h‎, 14th Mar 2013 08:54 pm
    • Replies: 6
    • Views: 586
    15th Mar 2013 02:26 pm Go to last post
  8. error: bad argument type: point: nil

    Hi guys, i m coding a lisp, which is as follows:_ (defun c:1 (/ bpt cpt sbpt bppt kpd pt) (setq bpt (getpoint "\nPick 0.0 KP: ")) (While (setq cpt (getpoint factp "\nPick KP point: ") ...

    Started by satishrajdev‎, 15th Mar 2013 07:26 am
    • Replies: 7
    • Views: 697
    15th Mar 2013 01:10 pm Go to last post
  9. replacing polyline with 3d polyline getting elevation(z)from reading other polyline

    hello friends can any one help to draw 3dpolyline with enterval(x) getting elevation (z value) from(y value of 2d polyline minus y value of datum value) please see attached drawing for...

    Started by motee-z‎, 24th May 2012 08:24 pm
    3 Pages
    1 2 3
    • Replies: 24
    • Views: 3,551
    15th Mar 2013 11:12 am Go to last post
  10. Move object from mid between two points to mid between two points

    Anybody can make a lisp program: Move objects with a base point from Mid between two points, then move and paste to Mid between two points. Thanx!

    Started by notview‎, 23rd Feb 2013 10:27 am
    2 Pages
    1 2
    • Replies: 14
    • Views: 1,419
    14th Mar 2013 08:24 pm Go to last post
  11. Dcl not modal

    Is there any way to run a non-modal form DCL. When executing the DCL, must have access to DWG that is in the background. Thanks

    Started by rodrigo_sjc_sp‎, 14th Mar 2013 03:29 pm
    • Replies: 2
    • Views: 347
    14th Mar 2013 04:15 pm Go to last post
  12. Hatch Using LISP

    First off, sorry for bringing this up again. But I'm making a last ditch effort to try and make something happen with hatch using LISP. And as many of you will recall, this is part of a totally...

    Started by Bill Tillman‎, 8th Mar 2013 04:57 pm
    • Replies: 8
    • Views: 1,355
    14th Mar 2013 01:32 pm Go to last post
  13. Setting Tool Palettes File Locations and Authoring Palatte File Locations

    Hi All, Using LISP I can set the Tool Palettes File Locations using vla-put-ToolPalettePath but I cannot find a way (without putting the value directly into the Registry) to set the Authoring...

    Started by ColinHolloway‎, 13th Mar 2013 05:25 am
    authoring, tool palettes
    • Replies: 2
    • Views: 378
    13th Mar 2013 11:10 pm Go to last post
  14. A naive doubt about rectangles

    I create a rectangle with the rec command, ok. It's a LWPOLYLINE. So, I need to get the 4 cornerpoints. I try to do this: (setq retangulo (entget(car(entsel)))) But I just can get this first...

    Started by fabriciorby‎, 12th Mar 2013 09:42 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 804
    13th Mar 2013 02:38 pm Go to last post
  15. Question How to layiso special three layers use autolisp

    I want to layiso layers. What is the command? I don'twant to use mouse to sellect the layer.

    Started by Zouhuaming‎, 13th Mar 2013 07:50 am
    • Replies: 2
    • Views: 797
    13th Mar 2013 09:45 am Go to last post
  16. Block that works as multileader

    Hello, I am looking for a way to have a block with couple of attributes (like the one attached here) but when inserted in the drawing it can be moved without leaving the insertion point (i.e. act...

    Started by rouho‎, 12th Mar 2013 08:03 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 1,016
    12th Mar 2013 09:19 pm Go to last post
  17. Select by Color - TIP 1046

    I tried to get the following LISP routine to run. However, I was trying to locate the error but without success and I would like that someone can help me please: ;TIP1046.LSP: CLR.LSP Select by...

    Started by giovanni64‎, 12th Mar 2013 02:28 pm
    • Replies: 8
    • Views: 658
    12th Mar 2013 07:13 pm Go to last post
  18. Multiline Edit

    Could some one explain me about algorithm for find open tee, open cross or corner joint to edit multiline using AutoLISP. Sample drawing is attached. Thanks, udaaf

    Started by MMS‎, 12th Mar 2013 10:40 am
    • Replies: 0
    • Views: 466
    12th Mar 2013 10:40 am Go to last post
  19. Save drawing to a different folder

    Hi All, This is my first post here and I am fairly new to autolisp so please be patient with me. At the company where I work we are supposed to save files regulary in a folder called modell,...

    Started by Diimi‎, 11th Mar 2013 02:02 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 840
    12th Mar 2013 07:28 am Go to last post
  20. how can formula created by field command read from attribute value

    i create formula by field command i need to use some attribute value on that formula but it not able to read.

    Started by wrha‎, 9th Mar 2013 03:42 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 1,475
    11th Mar 2013 06:41 pm Go to last post
  21. Spline with arrows

    Dear all, I am thinking of starting a new project where one could create a spline, but a spline that would have arrows at standard intervals. The arrows will be showing the direction of water...

    Started by Perifanos‎, 9th Mar 2013 11:32 am
    • Replies: 6
    • Views: 727
    11th Mar 2013 05:21 pm Go to last post
  22. Lisp to deal with text/Mtext

    Is there a lisp do this job To select the text (and Mtext too) and but each string in a single line and but next to it the count of that string For example I have this text in a drawing...

    Started by asos2000‎, 30th Jun 2009 11:39 am
    4 Pages
    1 2 3 ... 4
    • Replies: 31
    • Views: 5,131
    11th Mar 2013 02:24 pm Go to last post
  23. Creating a lighting program

    Hello to all of you, I come to you because I need help with a project I have realized in the framework of a research project: the goal is to create automatically using a lisp, public lighting systems...

    Started by mathieucraveiro‎, 10th Mar 2013 11:01 pm
    • Replies: 0
    • Views: 353
    10th Mar 2013 11:01 pm Go to last post
  24. Passing arguments to a function

    Hi i got a function that should freeze/thaw layer status, but i want to send the layer name as an argument so i can reuse. defun c:layFreezeTogg(layerName / l ) (cond ( (=...

    Started by samifox‎, 10th Mar 2013 11:58 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 835
    10th Mar 2013 07:16 pm Go to last post
  25. Simple setq not working...

    Why this simple command is not working? (setq p (* (/ 1 12.0) e)) e=16.9988 (Returns p=0.0 )

    Started by Perifanos‎, 9th Mar 2013 12:33 am
    setq
    • Replies: 4
    • Views: 320
    9th Mar 2013 06:30 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts